package models

import "rdluck_tools/orm"

type Tactics struct {
	ArticleId       int    `description:"文章id"`
	Title           string `description:"标题"`
	TitleEn         string `description:"英文标题"`
	UpdateFrequency string `description:"更新周期"`
	PublishDate     string `description:"发布时间"`
	PublishStatus   int    `description:"发布状态"`
	Department      string `description:"作者"`
	Body            string `description:"内容"`
	Abstract        string `description:"摘要"`
	Annotation      string `description:"注解"`
	CategoryName    string `description:"分类"`
	SubCategoryName string `description:"子级分类"`
	CategoryId      int    `description:"分类id"`
	CreateDate      string `description:"创建日期"`
}

func GetTacticsList(endDate string) (list []*Tactics, err error) {
	o := orm.NewOrm()
	o.Using("tactics")
	sql := `SELECT a.*,b.body,b.abstract,b.annotation,b.article_id,d.category_name,d.sub_category_name,c.category_id
			FROM article_articleinfo AS a
			INNER JOIN article_content AS b ON a.id=b.article_id
			INNER JOIN article_category AS c ON a.id=c.article_id
			INNER JOIN article_categoryinfo AS d ON c.category_id=d.id 
			WHERE a.publish_status=1 AND a.publish_date>=? AND d.id IN (79, 28, 32, 84) `
	_, err = o.Raw(sql, endDate).QueryRows(&list)
	return
}
